package com.persagy.apm.alarmservice.common.configuration.rabbitmq;

import com.persagy.apm.alarmservice.common.model.DmpMessage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.function.json.JacksonMapper;
import org.springframework.stereotype.Component;

/**
 * rabbitmq消息发送者
 *
 * @author lixing
 * @version V1.0 2021/10/11 8:20 下午
 **/
@Slf4j
@Component
public class RabbitMsgSender {
    /**
     * 报警交换机
     */
    private final String exchange = "exchange-dmp";

    /**
     * 报警定义路由键
     */
    private final String dmpAlarmConfigRoutingKey = "alarm-config-routing-key";

    @Autowired
    private RabbitTemplate rabbitTemplate;

    public void convertAndSend(DmpMessage message) {
        rabbitTemplate.convertAndSend(exchange, dmpAlarmConfigRoutingKey, message);
    }
}
