package com.persagy.apm.alarmservice.common.enums;

import com.persagy.apm.common.model.annotation.SwaggerDisplayEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang.StringUtils;

/**
 * 报警生效区间类型
 *
 * @author lixing
 * @version V1.0 2021/9/13 10:01 上午
 **/
@SwaggerDisplayEnum
@AllArgsConstructor
public enum AlarmEffectTimeTypeEnum {
    /**
     * 报警生效区间类型
     */
    ALWAYS("always", "一直有效"),
    PERIOD("period", "阶段");


    @Setter
    @Getter
    private String type;
    @Setter
    @Getter
    private String desc;

    /**
     * 根据type获取到枚举对象
     *
     * @param type 报告状态编码
     * @return 报告状态枚举对象
     * @author lixing
     * @version V1.0 2021/5/31 4:06 下午
     */
    public static AlarmEffectTimeTypeEnum getByType(String type) {
        if (StringUtils.isBlank(type)) {
            return null;
        }
        AlarmEffectTimeTypeEnum[] enums = AlarmEffectTimeTypeEnum.values();
        for (AlarmEffectTimeTypeEnum item : enums) {
            if (type.equals(item.getType())) {
                return item;
            }
        }
        return null;
    }
}


