package com.persagy.apm.alarmservice.dependency.saasweb.client;

import com.persagy.apm.alarmservice.dependency.saasweb.client.fallback.SaasWebClientFallbackFactory;
import com.persagy.apm.alarmservice.dependency.saasweb.model.vo.UserProjectsInfoVO;
import com.persagy.apm.common.response.PoemsFeignResponse;
import com.persagy.apm.alarmservice.common.constants.FeignClientNameConstants;
import feign.Headers;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 运维平台feign客户端
 *
 * @author lixing
 * @version V1.0 2021/3/22 2:13 下午
 **/
@FeignClient(name = FeignClientNameConstants.SAAS_WEB, fallbackFactory = SaasWebClientFallbackFactory.class)
public interface SaasWebClient {

    /**
     * 获取用户信息（基本信息和关联的项目）
     *
     * @param poemsFeignBaseDTO 登录信息
     * @return 用户信息
     * @author lixing
     * @version V1.0 2021/5/19 3:36 下午
     */
    @PostMapping("/Spring/MVC/entrance/unifier/saasGetCurrentUserService")
    @Headers({"Content-Type: application/x-www-form-urlencoded"})
    PoemsFeignResponse<UserProjectsInfoVO> getCurrentUserProjectsInfo(@RequestParam("jsonString") String poemsFeignBaseDTO);

}
