package com.persagy.apm.alarmservice.group.alarmdic.service;

import com.persagy.apm.alarmservice.group.alarmrecord.enums.*;
import com.persagy.apm.common.model.vo.EnumVO;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * 报警字典实现类
 *
 * @author lixing
 * @version V1.0 2021/5/17 11:00 上午
 **/
@Service
public class AlarmDicServiceImpl {
    /**
     * 查询报警系统
     *
     * @return 报警系统
     * @author lixing
     * @version V1.0 2021/9/20 11:18 上午
     */
    public List<EnumVO> queryCategoryEnum() {
        List<EnumVO> resultList = new ArrayList<>(EnumAlarmCategory.values().length);
        Arrays.asList(EnumAlarmCategory.values()).forEach(item -> {
            EnumVO enumVO = new EnumVO();
            enumVO.setKey(item.getType());
            enumVO.setValue(item.getDesc());
            resultList.add(enumVO);
        });
        return resultList;
    }

    /**
     * 查询报警等级
     *
     * @return 报警系统
     * @author lixing
     * @version V1.0 2021/9/20 11:18 上午
     */
    public List<EnumVO> queryLevelEnum() {
        List<EnumVO> resultList = new ArrayList<>(EnumAlarmLevel.values().length);
        Arrays.asList(EnumAlarmLevel.values()).forEach(item -> {
            EnumVO enumVO = new EnumVO();
            enumVO.setKey(item.getType());
            enumVO.setValue(item.getDesc());
            resultList.add(enumVO);
        });
        return resultList;
    }

    /**
     * 查询报警性质
     *
     * @return 报警性质
     * @author lixing
     * @version V1.0 2021/9/20 11:18 上午
     */
    public List<EnumVO> queryNatureEnum() {
        List<EnumVO> resultList = new ArrayList<>(EnumAlarmNature.values().length);
        Arrays.asList(EnumAlarmNature.values()).forEach(item -> {
            EnumVO enumVO = new EnumVO();
            enumVO.setKey(item.getType());
            enumVO.setValue(item.getDesc());
            resultList.add(enumVO);
        });
        return resultList;
    }

    /**
     * 查询报警处理方式
     *
     * @return 报警处理方式
     * @author lixing
     * @version V1.0 2021/9/20 11:18 上午
     */
    public List<EnumVO> queryTreatModeEnum() {
        List<EnumVO> resultList = new ArrayList<>(EnumAlarmTreatMode.values().length);
        Arrays.asList(EnumAlarmTreatMode.values()).forEach(item -> {
            EnumVO enumVO = new EnumVO();
            enumVO.setKey(item.getType());
            enumVO.setValue(item.getDesc());
            resultList.add(enumVO);
        });
        return resultList;
    }

    /**
     * 查询报警处理状态
     *
     * @return 报警处理方式
     * @author lixing
     * @version V1.0 2021/9/20 11:18 上午
     */
    public List<EnumVO> queryTreatStateEnum() {
        List<EnumVO> resultList = new ArrayList<>(EnumAlarmTreatState.values().length);
        Arrays.asList(EnumAlarmTreatState.values()).forEach(item -> {
            EnumVO enumVO = new EnumVO();
            enumVO.setKey(item.getType());
            enumVO.setValue(item.getDesc());
            resultList.add(enumVO);
        });
        return resultList;
    }

    /**
     * 查询报警状态
     *
     * @return 报警状态
     * @author lixing
     * @version V1.0 2021/9/20 11:18 上午
     */
    public List<EnumVO> queryStateEnum() {
        List<EnumVO> resultList = new ArrayList<>(EnumAlarmState.values().length);
        Arrays.asList(EnumAlarmState.values()).forEach(item -> {
            EnumVO enumVO = new EnumVO();
            enumVO.setKey(item.getType());
            enumVO.setValue(item.getDesc());
            resultList.add(enumVO);
        });
        return resultList;
    }

}
