package com.persagy.apm.alarmservice.group.alarmrecord.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang.StringUtils;

/**
 * 报警系统
 *
 * @author lixing
 * @version V1.0 2021/9/20 11:08 上午
 **/
@AllArgsConstructor
public enum EnumAlarmCategory {
    /**
     * 报警系统
     */
    EQ("Eq", "设备报警"),
    SP("Sp", "空间报警"),
    SY("Sy", "系统报警"),
    SAFE("Safe", "安全报警"),
    RUN("Run", "高效运行报警"),
    ENV("Env", "环境报警"),
    ENERGY("Energy", "能源报警"),
    TENANT("Tenant", "租户报警"),
    ELECTRIC("Electric", "配电报警"),
    CS("CS", "冷站能效报警"),
    IOT("iot", "数据质量报警"),
    BIM("Bim", "BIM报警"),
    EQDX("Eqdx", "设备运行诊断报警");

    @Setter
    @Getter
    private String type;

    @Setter
    @Getter
    private String desc;

    /**
     * 根据type获取到枚举对象
     *
     * @param type 枚举type值
     * @return 枚举对象
     * @author lixing
     * @version V1.0 2021/5/31 4:06 下午
     */
    public static EnumAlarmCategory getByType(String type) {
        if (StringUtils.isBlank(type)) {
            return null;
        }
        EnumAlarmCategory[] enums = EnumAlarmCategory.values();
        for (EnumAlarmCategory item : enums) {
            if (type.equals(item.getType())) {
                return item;
            }
        }
        return null;
    }
}
