package com.persagy.apm.alarmservice.group.alarmrecord.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang.StringUtils;

/**
 * 报警性质
 *
 * @author lixing
 * @version V1.0 2021/9/20 11:08 上午
 **/
@AllArgsConstructor
public enum EnumAlarmNature {
    /**
     * 报警性质
     */
    MISTAKE("1", "误报"),
    TRUE("2", "真实报警"),
    TEST("3", "测试报警");

    @Setter
    @Getter
    private String type;

    @Setter
    @Getter
    private String desc;

    /**
     * 根据type获取到枚举对象
     *
     * @param type 枚举type值
     * @return 枚举对象
     * @author lixing
     * @version V1.0 2021/5/31 4:06 下午
     */
    public static EnumAlarmNature getByType(String type) {
        if (StringUtils.isBlank(type)) {
            return null;
        }
        EnumAlarmNature[] enums = EnumAlarmNature.values();
        for (EnumAlarmNature item : enums) {
            if (type.equals(item.getType())) {
                return item;
            }
        }
        return null;
    }
}
