package com.persagy.apm.alarmservice.group.alarmrecord.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang.StringUtils;

/**
 * 报警处理方式
 *
 * @author lixing
 * @version V1.0 2021/9/20 11:08 上午
 **/
@AllArgsConstructor
public enum EnumAlarmTreatMode {
    /**
     * 报警处理方式
     */
    IGNORE("1", "忽略"),
    ORDER("2", "转工单"),
    CLOSE("3", "关闭报警");

    @Setter
    @Getter
    private String type;

    @Setter
    @Getter
    private String desc;

    /**
     * 根据type获取到枚举对象
     *
     * @param type 枚举type值
     * @return 枚举对象
     * @author lixing
     * @version V1.0 2021/5/31 4:06 下午
     */
    public static EnumAlarmTreatMode getByType(String type) {
        if (StringUtils.isBlank(type)) {
            return null;
        }
        EnumAlarmTreatMode[] enums = EnumAlarmTreatMode.values();
        for (EnumAlarmTreatMode item : enums) {
            if (type.equals(item.getType())) {
                return item;
            }
        }
        return null;
    }
}
