package com.persagy.apm.alarmservice.group.alarmrecord.model;

import com.persagy.apm.alarmservice.group.alarmrecord.model.dto.DownloadAllAlarmRecordDTO;
import com.persagy.apm.alarmservice.group.alarmrecord.model.dto.PageQueryAlarmRecordDTO;
import com.persagy.apm.alarmservice.group.alarmrecord.model.vo.AlarmRecordItemVO;
import com.persagy.apm.alarmservice.group.alarmrecord.model.vo.AlarmRecordListItem;
import com.persagy.apm.common.model.dto.Sort;
import com.persagy.apm.energyalarmstarter.alarmdata.model.dto.alarmrecord.QueryAlarmRecordDTO;
import com.persagy.apm.energyalarmstarter.alarmdata.model.dto.common.OrderDTO;
import org.mapstruct.*;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 报警记录(AlarmRecord) dto、vo、do转换工具类
 * @author lixing
 * @version V1.0 2021-09-08 22:30:38
 */
@Mapper(nullValueMappingStrategy = NullValueMappingStrategy.RETURN_NULL,
        nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface ConvertAlarmRecordTool {
    ConvertAlarmRecordTool INSTANCE = Mappers.getMapper(ConvertAlarmRecordTool.class);

    @Mappings({
            @Mapping(source = "alarmLevel", target = "level"),
            @Mapping(source = "triggerStartTime", target = "triggerDurationStart"),
            @Mapping(source = "triggerEndTime", target = "triggerDurationEnd"),
            @Mapping(source = "alarmItemCode", target = "itemCode"),
            @Mapping(source = "alarmState", target = "state"),
            @Mapping(source = "alarmTreatState", target = "treatState"),
            @Mapping(source = "alarmTreatMode", target = "treatMode"),
    })
    QueryAlarmRecordDTO convert2QueryAlarmRecordDTO(PageQueryAlarmRecordDTO pageQueryAlarmRecordDTO);

    OrderDTO convert2OrderDTO(Sort sort);

    List<OrderDTO> convert2OrderDTOList(List<Sort> sortList);

    PageQueryAlarmRecordDTO convert2PageQueryAlarmRecordDTO(DownloadAllAlarmRecordDTO downloadAllAlarmRecordDTO);

    AlarmRecordItemVO convert2AlarmRecordItemVO(AlarmRecordListItem alarmRecordListItem);

    List<AlarmRecordItemVO> convert2AlarmRecordItemVOList(List<AlarmRecordListItem> alarmRecordListItemList);
}
