package com.persagy.apm.alarmservice.group.alarmrule.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;
import java.io.Serializable;
import java.util.Date;

/**
 * 集团报警规则(GroupAlarmRule)实体类
 * @author lixing
 * @version V1.0 2021-09-08 22:35:45
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "集团报警规则")
public class GroupAlarmRule extends AuditableEntity<GroupAlarmRule> implements Serializable {
    private static final long serialVersionUID = 774974359264957686L;

    @ApiModelProperty("分组id")
    private String groupId;
    
    @ApiModelProperty("报警类型编码")
    private String alarmItemCode;

    @ApiModelProperty("报警类型名称")
    private String alarmItemName;
    
    @ApiModelProperty("报警条件id")
    private String alarmConditionId;
    

    public static String PROP_GROUP_ID = "group_id";
    public static String PROP_ALARM_ITEM_CODE = "alarm_item_code";
    public static String PROP_ALARM_ITEM_NAME = "alarm_item_name";
    public static String PROP_ALARM_CONDITION_ID = "alarm_condition_id";

}
