package com.persagy.apm.alarmservice.group.alarmrule.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:35:45
 */
@Data
@ApiModel(value = "删除集团报警规则入参")
public class DeleteGroupAlarmRuleDTO {
    @NotNull(message = "id不能为空")
    @ApiModelProperty(value = "主键", required = true)
    private String id;

    @ApiModelProperty(value = "报警条件id", required = true)
    @NotNull(message = "报警条件id不能为空") // todo 更新校验规则
    private String alarmConditionId;

    @ApiModelProperty(value = "对象类编码",required = true)
    @NotBlank(message = "对象类编码必传")
    private String classCode;

    @ApiModelProperty(value = "查询条件",required = true)
    //@NotBlank(message = "查询条件必传")
    private String condition;
}
