package com.persagy.apm.alarmservice.group.alarmrule.model.dto;

import com.persagy.apm.alarmservice.project.alarmcondition.model.dto.UpdateAlarmConditionDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:35:45
 */
@Data
@ApiModel(value = "更新集团报警规则入参")
public class UpdateGroupAlarmRuleDTO {
    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空") // todo 更新校验规则
    private String id;
    
    @ApiModelProperty(value = "分组id", required = true)
    @NotNull(message = "分组id不能为空") // todo 更新校验规则
    private String groupId;
    
    @ApiModelProperty(value = "报警类型编码", required = true)
    @NotNull(message = "报警类型编码不能为空") // todo 更新校验规则
    private String alarmItemCode;

    @ApiModelProperty(value = "报警类型名称", required = true)
    @NotNull(message = "报警类型名称不能为空") // todo 更新校验规则
    private String alarmItemName;

    @ApiModelProperty(value = "报警规则", required = true)
    @NotNull(message = "报警规则不能为空") // todo 更新校验规则
    private UpdateAlarmConditionDTO alarmCondition;

    @ApiModelProperty(value = "对象类编码",required = true)
    @NotBlank(message = "对象类编码必传")
    private String classCode;

    @ApiModelProperty(value = "查询条件",required = true)
    private String condition;
    
}
