package com.persagy.apm.alarmservice.group.management.model.group;

import com.persagy.apm.alarmservice.group.management.model.group.vo.GroupInfoVO;
import com.persagy.apm.alarmservice.group.management.model.group.vo.GroupTreeVO;
import com.persagy.apm.alarmservice.group.objgroup.model.ObjGroup;
import org.mapstruct.Mapper;
import org.mapstruct.NullValueCheckStrategy;
import org.mapstruct.NullValueMappingStrategy;
import org.mapstruct.factory.Mappers;

/**
 * 分组转换工具类
 *
 * @author lixing
 * @version V1.0 2021-09-08 22:30:38
 */
@Mapper(nullValueMappingStrategy = NullValueMappingStrategy.RETURN_DEFAULT,
        nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface ConvertGroupTool {
    ConvertGroupTool INSTANCE = Mappers.getMapper(ConvertGroupTool.class);

    /**
     * 分组树节点对象转换为分组树节点详情对象
     *
     * @param groupTreeVO 分组树节点对象
     * @return 分组树节点详情对象
     * @author lixing
     * @version V1.0 2021/9/19 1:25 下午
     */
    GroupInfoVO convert2DetailDTO(GroupTreeVO groupTreeVO);

    /**
     * 分组对象转换为分组树节点
     *
     * @param objGroup 分组对象
     * @return 分组树节点
     * @author lixing
     * @version V1.0 2021/10/19 2:57 下午
     */
    GroupTreeVO convert2GroupTreeVO(ObjGroup objGroup);
}
