package com.persagy.apm.alarmservice.group.monitorindicator.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.common.model.vo.EnumVO;
import com.persagy.apm.common.model.vo.GraphItemVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 监测指标数据记录
 *
 * @author lixing
 * @version V1.0 2021-09-08 22:44:38
 */
@Data
@ApiModel()
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MonitorIndicatorRecordInfoItem {
    @ApiModelProperty(value = "监测指标名称")
    private String monitorIndicatorName;
    @ApiModelProperty(value = "单位")
    private String unit;
    @ApiModelProperty(value = "监测指标数据记录")
    private List<GraphItemVO> value;
    @ApiModelProperty(value = "监测指标参照值")
    private List<MonitorIndicatorReferenceItem> reference;
    @ApiModelProperty(value = "监测指标可选字典")
    private EnumVO[] dic;
}
