package com.persagy.apm.alarmservice.group.objgroup.model;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;
import java.io.Serializable;
import java.util.Date;

/**
 * 报警对象分组(ObjGroup)实体类
 * @author lixing
 * @version V1.0 2021-10-19 14:25:45
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "报警对象分组")
public class ObjGroup extends AuditableEntity<ObjGroup> implements Serializable {
    private static final long serialVersionUID = 775168774894672330L;

    @ApiModelProperty("分组名称")
    private String name;
    
    @ApiModelProperty("设备类型")
    private String classCode;
    
    @ApiModelProperty("分组条件")
    @TableField("`condition`")
    private String condition;
    
    @ApiModelProperty("父节点id")
    private String parentId;
    

    public static String PROP_NAME = "name";
    public static String PROP_CLASS_CODE = "class_code";
    public static String PROP_CONDITION = "condition";
    public static String PROP_PARENT_ID = "parent_id";

}
