package com.persagy.apm.alarmservice.group.objgroup.service;

import com.persagy.apm.alarmservice.group.objgroup.model.*;
import com.persagy.apm.alarmservice.group.objgroup.model.dto.*;
import java.util.List;
import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 报警对象分组(ObjGroup) service接口
 *
 * @author lixing
 * @version V1.0 2021-10-19 14:25:45
 */
public interface IObjGroupService  {
    
    /**
    * 创建报警对象分组
    *
    * @param addObjGroupDTO addDTO
    * @return 报警对象分组主键
    * @author lixing
    * @version V1.0 2021-10-19 14:25:45
    */
    public String createObjGroup(AddObjGroupDTO addObjGroupDTO);
    
    /**
    * 报警对象分组详情
    *
    * @param id 主键
    * @return 报警对象分组do对象
    * @author lixing
    * @version V1.0 2021-10-19 14:25:45
    */
    public ObjGroup queryObjGroupDetail(String id);
    
    /**
    * 更新报警对象分组
    *
    * @param updateObjGroupDTO updateDTO
    * @author lixing
    * @version V1.0 2021-10-19 14:25:45
    */
    public void updateObjGroup(UpdateObjGroupDTO updateObjGroupDTO);
    
    /**
    * 删除报警对象分组
    *
    * @param id 主键
    * @author lixing
    * @version V1.0 2021-10-19 14:25:45
    */
    public void deleteObjGroup(String id);
    
    /**
    * 查询报警对象分组
    *
    * @param queryObjGroupDTO queryDTO
    * @return List<ObjGroup>
    * @author lixing
    * @version V1.0 2021-10-19 14:25:45
    */
    public List<ObjGroup> queryObjGroupList(QueryObjGroupDTO queryObjGroupDTO);
    
    /**
    * 分页查询报警对象分组
    * 
    * @param pageQueryObjGroupDTO pageQueryDTO
    * @return IPage<ObjGroup>
    * @author lixing
    * @version V1.0 2021-10-19 14:25:45
    */
    public IPage<ObjGroup> pageQueryObjGroup(PageQueryObjGroupDTO pageQueryObjGroupDTO);
}
