package com.persagy.apm.alarmservice.project.alarmcondition.model.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.persagy.apm.alarmservice.group.calculatemethod.model.dto.CalculateMethodDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import lombok.Data;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:30:38
 */
@Data
@ApiModel(value = "创建报警条件入参")
public class AddAlarmConditionDTO {
    @ApiModelProperty(value = "包含的参数", required = true)
    private List<String> infoCodes;
    
    @ApiModelProperty(value = "报警触发规则", required = true)
    @NotNull(message = "报警触发规则不能为空")
    @JsonAlias({"frontend", "triggerFrontend"})
    private List<List<CalculateMethodDTO>> triggerFrontend;

    @ApiModelProperty(value = "触发时长", required = true)
    @NotNull(message = "触发时长不能为空") 
    private Integer triggerUphold;
    
    @ApiModelProperty(value = "报警等级", required = true)
    @NotNull(message = "报警等级不能为空") 
    private String alarmLevel;
    
}
