package com.persagy.apm.alarmservice.project.alarmcondition.model.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import com.persagy.apm.alarmservice.group.calculatemethod.model.dto.CalculateMethodDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;
import org.json.JSONObject;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:30:38
 */
@Data
@ApiModel(value = "报警条件返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AlarmConditionItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("包含的参数")
    private List<String> infoCodes;

    @ApiModelProperty("触发条件-前端展示")
    private List<List<CalculateMethodDTO>> frontend;

    @ApiModelProperty("触发条件-后端使用")
    private String backend;

    @ApiModelProperty("触发时长")
    private Integer triggerUphold;

    @ApiModelProperty("报警等级")
    private String alarmLevel;

    @ApiModelProperty("持续多久后恢复")
    private Integer endUphold;

    @ApiModelProperty("触发规则-中文描述")
    private List<String> triggerRules;

    @ApiModelProperty("恢复条件-前端")
    private List<List<CalculateMethodDTO>> endFrontend;

    @ApiModelProperty("恢复条件-后端")
    private String endBackend;

    @ApiModelProperty("恢复规则-中文描述")
    private List<String> endRules;

    @ApiModelProperty("生效时间类型")
    private String effectTimeType;

    @ApiModelProperty("生效时间详情")
    private JSONObject effectTimeDetail;
    
}
