package com.persagy.apm.alarmservice.project.alarmruleobjrel.model;

import org.mapstruct.*;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;
import com.persagy.apm.alarmservice.project.alarmruleobjrel.model.vo.*;
import com.persagy.apm.alarmservice.project.alarmruleobjrel.model.dto.*;

import java.util.List;

/**
 * 项目报警规则与监测对象的关联(ProjectAlarmRuleObjRel) dto、vo、do转换工具类
 * @author lixing
 * @version V1.0 2021-09-08 22:46:37
 */
@Mapper(nullValueMappingStrategy = NullValueMappingStrategy.RETURN_DEFAULT,
        nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface ConvertProjectAlarmRuleObjRelTool {

    ConvertProjectAlarmRuleObjRelTool INSTANCE = Mappers.getMapper(ConvertProjectAlarmRuleObjRelTool.class);
    
    /**
    * do转换为ResponseItemVO
    *
    * @param projectAlarmRuleObjRel do对象
    * @return ResponseItemVO
    * @author lixing
    * @version V1.0 2021-09-08 22:46:37
    */
    ProjectAlarmRuleObjRelItemVO convert2ResponseItemDTO(ProjectAlarmRuleObjRel projectAlarmRuleObjRel);
    
    /**
    * do转换为ResponseListItemVO
    *
    * @param projectAlarmRuleObjRel do对象
    * @return ResponseListItemVO
    * @author lixing
    * @version V1.0 2021-09-08 22:46:37
    */
    ProjectAlarmRuleObjRelListItemVO convert2ResponseListItemDTO(ProjectAlarmRuleObjRel projectAlarmRuleObjRel);

    /**
    * do列表转换为ResponseListItemVO列表
    *
    * @param projectAlarmRuleObjRelList do列表
    * @return ResponseListItemVO列表
    * @author lixing
    * @version V1.0 2021-09-08 22:46:37
    */
    List<ProjectAlarmRuleObjRelListItemVO> convert2List(List<ProjectAlarmRuleObjRel> projectAlarmRuleObjRelList);
    
    /**
    * addDTO转换为do
    *
    * @param addProjectAlarmRuleObjRelDTO addDTO
    * @return 要创建的do对象 
    * @author lixing
    * @version V1.0 2021-09-08 22:46:37
    */
    ProjectAlarmRuleObjRel convertAddDto2Entity(AddProjectAlarmRuleObjRelDTO addProjectAlarmRuleObjRelDTO);
    
    /**
    * updateDTO转换为实体
    *
    * @param projectAlarmRuleObjRel 更新前的do对象
    * @param updateProjectAlarmRuleObjRelDTO updateDTO
    * @return 更新后的do对象
    * @author lixing
    * @version V1.0 2021-09-08 22:46:37
    */
    ProjectAlarmRuleObjRel convertUpdateDto2Entity(@MappingTarget ProjectAlarmRuleObjRel projectAlarmRuleObjRel, UpdateProjectAlarmRuleObjRelDTO updateProjectAlarmRuleObjRelDTO);
}

