package com.persagy.apm.alarmservice.project.alarmruleobjrel.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;
import java.io.Serializable;
import java.util.Date;

/**
 * 项目报警规则与监测对象的关联(ProjectAlarmRuleObjRel)实体类
 * @author lixing
 * @version V1.0 2021-09-08 22:46:37
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "项目报警规则与监测对象的关联")
public class ProjectAlarmRuleObjRel extends AuditableEntity<ProjectAlarmRuleObjRel> implements Serializable {
    private static final long serialVersionUID = -66793720778399542L;

    @ApiModelProperty("项目报警规则id")
    private String projectAlarmRuleId;
    
    @ApiModelProperty("设备ID")
    private String objId;

    @ApiModelProperty("设备名称")
    private String objName;
    
    @ApiModelProperty("屏蔽状态 1-open、0- 屏蔽")
    private Integer open;
    
    @ApiModelProperty("项目id")
    private String projectId;
    

    public static String PROP_PROJECT_ALARM_RULE_ID = "project_alarm_rule_id";
    public static String PROP_OBJ_ID = "obj_id";
    public static String PROP_OBJ_NAME = "obj_name";
    public static String PROP_OPEN = "open";
    public static String PROP_PROJECT_ID = "project_id";

}
