package com.persagy.apm.alarmservice.project.alarmruleobjrel.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:37
 */
@Data
@ApiModel(value = "查询项目报警规则与监测对象的关联入参")
public class QueryRuleObjRelDTO {
    @ApiModelProperty(value = "分组id", required = true)
    @NotNull(message = "分组id不能为空") // todo 更新校验规则
    private String groupId;

    @ApiModelProperty(value = "报警类型编码", required = true)
    @NotNull(message = "报警类型编码不能为空") // todo 更新校验规则
    private String alarmItemCode;

    @ApiModelProperty(value = "对象类编码",required = true)
    @NotBlank(message = "对象类编码必传")
    private String classCode;

    @ApiModelProperty(value = "分组条件",required = true)
    private String condition;

    @ApiModelProperty(value = "项目ID",required = true)
    @NotBlank(message = "项目ID必传")
    private String projectId;

    @ApiModelProperty(value = "项目报警ID：编辑时传，新增时不传")
    private String projectAlarmRuleId;
}
