package com.persagy.apm.alarmservice.project.alarmruleobjrel.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:37
 */
@Data
@ApiModel(value = "创建项目报警规则与监测对象的关联入参")
public class ShieldManageListDTO {

    @ApiModelProperty(value = "项目id", required = true)
    @NotNull(message = "项目id不能为空") // todo 更新校验规则
    private String projectId;

    @ApiModelProperty(value = "项目报警规则id", required = true)
    @NotNull(message = "项目报警规则id不能为空") // todo 更新校验规则
    private String projectAlarmRuleId;

    @ApiModelProperty(value = "对象类编码",required = true)
    @NotBlank(message = "对象类编码必传")
    private String classCode;

    @ApiModelProperty(value = "分组条件",required = true)
    private String condition;

    List<ShieldManageDTO> shieldManageDTOList;
    
}
