package com.persagy.apm.alarmservice.project.monitorindicatorconfig.model;

import org.mapstruct.*;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;
import com.persagy.apm.alarmservice.project.monitorindicatorconfig.model.vo.*;
import com.persagy.apm.alarmservice.project.monitorindicatorconfig.model.dto.*;

import java.util.List;

/**
 * 项目监测指标配置(ProjectMonitorIndicatorConfig) dto、vo、do转换工具类
 * @author lixing
 * @version V1.0 2021-09-08 22:46:56
 */
@Mapper(nullValueMappingStrategy = NullValueMappingStrategy.RETURN_DEFAULT,
        nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface ConvertProjectMonitorIndicatorConfigTool {

    ConvertProjectMonitorIndicatorConfigTool INSTANCE = Mappers.getMapper(ConvertProjectMonitorIndicatorConfigTool.class);
    
    /**
    * do转换为ResponseItemVO
    *
    * @param projectMonitorIndicatorConfig do对象
    * @return ResponseItemVO
    * @author lixing
    * @version V1.0 2021-09-08 22:46:56
    */
    ProjectMonitorIndicatorConfigItemVO convert2ResponseItemDTO(ProjectMonitorIndicatorConfig projectMonitorIndicatorConfig);
    
    /**
    * do转换为ResponseListItemVO
    *
    * @param projectMonitorIndicatorConfig do对象
    * @return ResponseListItemVO
    * @author lixing
    * @version V1.0 2021-09-08 22:46:56
    */
    ProjectMonitorIndicatorConfigListItemVO convert2ResponseListItemDTO(ProjectMonitorIndicatorConfig projectMonitorIndicatorConfig);

    /**
    * do列表转换为ResponseListItemVO列表
    *
    * @param projectMonitorIndicatorConfigList do列表
    * @return ResponseListItemVO列表
    * @author lixing
    * @version V1.0 2021-09-08 22:46:56
    */
    List<ProjectMonitorIndicatorConfigListItemVO> convert2List(List<ProjectMonitorIndicatorConfig> projectMonitorIndicatorConfigList);
    
    /**
    * addDTO转换为do
    *
    * @param addProjectMonitorIndicatorConfigDTO addDTO
    * @return 要创建的do对象 
    * @author lixing
    * @version V1.0 2021-09-08 22:46:56
    */
    ProjectMonitorIndicatorConfig convertAddDto2Entity(AddProjectMonitorIndicatorConfigDTO addProjectMonitorIndicatorConfigDTO);
    
}

