package com.persagy.apm.alarmservice.project.monitorindicatorconfig.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 项目监测指标配置(ProjectMonitorIndicatorConfig)实体类
 * @author lixing
 * @version V1.0 2021-09-08 22:46:56
 */
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Data
@ApiModel(description = "项目监测指标配置")
public class ProjectMonitorIndicatorConfig extends AuditableEntity<ProjectMonitorIndicatorConfig> implements Serializable {
    private static final long serialVersionUID = -84873878154784806L;

    @ApiModelProperty("监测对象id")
    private String objId;
    
    @ApiModelProperty("监测指标id")
    private String monitorIndicatorId;
    
    @ApiModelProperty("计算方式id")
    private String calculateMethodId;
    
    @ApiModelProperty("项目id")
    private String projectId;
    

    public static String PROP_OBJ_ID = "obj_id";
    public static String PROP_MONITOR_INDICATOR_ID = "monitor_indicator_id";
    public static String PROP_CACULATE_METHOD_ID = "caculate_method_id";
    public static String PROP_PROJECT_ID = "project_id";

}
