package com.persagy.apm.alarmservice.project.monitorindicatorconfig.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import java.util.List;

import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:56
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询项目监测指标配置入参")
public class PageQueryProjectMonitorIndicatorConfigDTO extends PageDTO {
    @ApiModelProperty(value = "监测对象名称（模糊查询）")
    private String objName;
    
    @ApiModelProperty(value = "监测指标id列表")
    private List<String> monitorIndicatorId;
    
    @ApiModelProperty(value = "设备类编码", required = true)
    @NotBlank(message = "查询条件缺少设备类编码")
    private String classCode;

    @ApiModelProperty(value = "分组条件")
    private String condition;
}
