package com.persagy.apm.alarmservice.project.monitorindicatorconfig.model.dto;

import com.persagy.apm.common.model.dto.PageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:56
 */
@Data
@ApiModel("查询设备的监测指标配置")
public class QueryProjectMonitorIndicatorConfigByEquipDTO {
    @ApiModelProperty(value = "监测对象id", required = true)
    @NotBlank(message = "监测对象id不可为空")
    private String objId;
    
    @ApiModelProperty(value = "监测指标id列表", required = true)
    @NotNull(message = "监测指标id列表不可为空")
    private List<String> monitorIndicatorId;
}
