CREATE TABLE IF NOT EXISTS `alarm_condition_v2`( `id` varchar(64) NOT NULL COMMENT '主键', `info_codes` json DEFAULT NULL COMMENT '包含的参数', `trigger_frontend` json DEFAULT NULL COMMENT '触发条件-前端展示', `trigger_backend` text COMMENT '触发条件-后端使用', `trigger_rules` varchar(255) DEFAULT NULL COMMENT '触发规则-中文描述', `trigger_uphold` int(11) DEFAULT '0' COMMENT '持续多久后触发', `end_uphold` int(11) DEFAULT NULL COMMENT '持续多久后恢复', `end_frontend` json DEFAULT NULL COMMENT '恢复条件-前端', `end_backend` text COMMENT '恢复条件-后端', `end_rules` varchar(255) DEFAULT NULL COMMENT '恢复规则-中文描述', `alarm_level` varchar(10) DEFAULT NULL COMMENT '报警等级', `effect_time_type` varchar(10) DEFAULT NULL COMMENT '生效时间类型', `effect_time_detail` json DEFAULT NULL COMMENT '生效时间详情', `ts` timestamp NULL DEFAULT NULL COMMENT '乐观锁', `creator` varchar(64) DEFAULT NULL COMMENT '创建人', `creation_time` timestamp NULL DEFAULT NULL COMMENT '创建时间', `modifier` varchar(64) DEFAULT NULL COMMENT '修改人', `modified_time` timestamp NULL DEFAULT NULL COMMENT '修改时间', `valid` int(11) DEFAULT '1' COMMENT '删除标志', PRIMARY KEY (`id`)) ENGINE = InnoDB DEFAULT CHARSET = utf8mb4 COMMENT ='报警条件'; CREATE TABLE IF NOT EXISTS `calculate_method` ( `id` varchar(64) NOT NULL COMMENT '主键', `name` varchar(50) DEFAULT NULL COMMENT '计算方式名称', `formula` text COMMENT '公式', `monitor_indicator_id` varchar(64) DEFAULT NULL COMMENT '监测指标id', `is_default` int(1) DEFAULT NULL COMMENT '是否是指标默认计算方式', `ts` timestamp NULL DEFAULT NULL COMMENT '乐观锁', `creator` varchar(64) DEFAULT NULL COMMENT '创建人', `creation_time` timestamp NULL DEFAULT NULL COMMENT '创建时间', `modifier` varchar(64) DEFAULT NULL COMMENT '修改人', `modified_time` timestamp NULL DEFAULT NULL COMMENT '修改时间', `valid` int(11) DEFAULT '1' COMMENT '删除标志', PRIMARY KEY (`id`) ) ENGINE = InnoDB DEFAULT CHARSET = utf8mb4 COMMENT ='计算方式'; CREATE TABLE IF NOT EXISTS `group_alarm_rule` ( `id` varchar(64) NOT NULL COMMENT '主键', `group_id` varchar(64) DEFAULT NULL COMMENT '分组id', `alarm_item_code` varchar(50) DEFAULT NULL COMMENT '报警条目编码', `alarm_item_name` varchar(50) DEFAULT NULL COMMENT '报警条目名称', `alarm_condition_id` varchar(64) DEFAULT NULL COMMENT '报警条件id', `ts` timestamp NULL DEFAULT NULL COMMENT '乐观锁', `creator` varchar(64) DEFAULT NULL COMMENT '创建人', `creation_time` timestamp NULL DEFAULT NULL COMMENT '创建时间', `modifier` varchar(64) DEFAULT NULL COMMENT '修改人', `modified_time` timestamp NULL DEFAULT NULL COMMENT '修改时间', `valid` int(11) DEFAULT '1' COMMENT '删除标志', PRIMARY KEY (`id`) ) ENGINE = InnoDB DEFAULT CHARSET = utf8mb4 COMMENT ='集团报警规则'; CREATE TABLE IF NOT EXISTS `monitor_indicator` ( `id` varchar(64) NOT NULL COMMENT '主键', `name` varchar(50) DEFAULT NULL COMMENT '指标名称', `class_code` varchar(50) DEFAULT NULL COMMENT '设备类', `unit` varchar(50) DEFAULT NULL COMMENT '单位', `dic` json DEFAULT NULL COMMENT '可选值字典', `ts` timestamp NULL DEFAULT NULL COMMENT '乐观锁', `creator` varchar(64) DEFAULT NULL COMMENT '创建人', `creation_time` timestamp NULL DEFAULT NULL COMMENT '创建时间', `modifier` varchar(64) DEFAULT NULL COMMENT '修改人', `modified_time` timestamp NULL DEFAULT NULL COMMENT '修改时间', `valid` int(11) DEFAULT '1' COMMENT '删除标志', PRIMARY KEY (`id`) ) ENGINE = InnoDB DEFAULT CHARSET = utf8mb4 COMMENT ='监测指标'; CREATE TABLE IF NOT EXISTS `project_alarm_rule` ( `id` varchar(64) NOT NULL COMMENT '主键', `group_id` varchar(64) DEFAULT NULL COMMENT '分组id', `alarm_item_code` varchar(50) DEFAULT NULL COMMENT '报警条目编码', `alarm_item_name` varchar(50) DEFAULT NULL COMMENT '报警条目名称', `alarm_condition_id` varchar(64) DEFAULT NULL COMMENT '报警条件id', `belong` int(11) DEFAULT '0' COMMENT '所属类型（0项目自定义、1集团标准）', `project_id` varchar(50) DEFAULT NULL COMMENT '项目id', `ts` timestamp NULL DEFAULT NULL COMMENT '乐观锁', `creator` varchar(64) DEFAULT NULL COMMENT '创建人', `creation_time` timestamp NULL DEFAULT NULL COMMENT '创建时间', `modifier` varchar(64) DEFAULT NULL COMMENT '修改人', `modified_time` timestamp NULL DEFAULT NULL COMMENT '修改时间', `valid` int(11) DEFAULT '1' COMMENT '删除标志', PRIMARY KEY (`id`) ) ENGINE = InnoDB DEFAULT CHARSET = utf8mb4 COMMENT ='项目报警规则'; CREATE TABLE IF NOT EXISTS `project_alarm_rule_obj_rel` ( `id` varchar(64) NOT NULL COMMENT '主键', `project_alarm_rule_id` varchar(64) DEFAULT NULL COMMENT '项目报警规则id', `obj_id` varchar(64) DEFAULT NULL COMMENT '设备ID', `obj_name` varchar(64) DEFAULT NULL COMMENT '设备名称', `open` int(11) DEFAULT '1' COMMENT '屏蔽状态 1-open、0- 屏蔽', `project_id` varchar(50) DEFAULT NULL COMMENT '项目id', `ts` timestamp NULL DEFAULT NULL COMMENT '乐观锁', `creator` varchar(64) DEFAULT NULL COMMENT '创建人', `creation_time` timestamp NULL DEFAULT NULL COMMENT '创建时间', `modifier` varchar(64) DEFAULT NULL COMMENT '修改人', `modified_time` timestamp NULL DEFAULT NULL COMMENT '修改时间', `valid` int(11) DEFAULT '1' COMMENT '删除标志', PRIMARY KEY (`id`) ) ENGINE = InnoDB DEFAULT CHARSET = utf8mb4 COMMENT ='项目报警规则与监测对象的关联'; CREATE TABLE IF NOT EXISTS `project_monitor_indicator_config` ( `id` varchar(64) NOT NULL COMMENT '主键', `obj_id` varchar(64) DEFAULT NULL COMMENT '监测对象id', `monitor_indicator_id` varchar(64) DEFAULT NULL COMMENT '监测指标id', `calculate_method_id` varchar(64) DEFAULT NULL COMMENT '计算方式id', `project_id` varchar(50) DEFAULT NULL COMMENT '项目id', `ts` timestamp NULL DEFAULT NULL COMMENT '乐观锁', `creator` varchar(64) DEFAULT NULL COMMENT '创建人', `creation_time` timestamp NULL DEFAULT NULL COMMENT '创建时间', `modifier` varchar(64) DEFAULT NULL COMMENT '修改人', `modified_time` timestamp NULL DEFAULT NULL COMMENT '修改时间', `valid` int(11) DEFAULT '1' COMMENT '删除标志', PRIMARY KEY (`id`) ) ENGINE = InnoDB DEFAULT CHARSET = utf8mb4 COMMENT ='项目监测指标配置'; CREATE TABLE IF NOT EXISTS `alarm_project` ( `id` varchar(64) NOT NULL COMMENT '主键', `project_id` varchar(50) DEFAULT NULL COMMENT '项目id', `project_name` varchar(50) DEFAULT NULL COMMENT '项目名称', `group_code` varchar(50) DEFAULT NULL COMMENT '集团编码', PRIMARY KEY (`id`) ) ENGINE = InnoDB DEFAULT CHARSET = utf8mb4 COMMENT ='项目'; CREATE TABLE IF NOT EXISTS `obj_group` ( `id` varchar(64) NOT NULL COMMENT '主键', `name` varchar(50) DEFAULT NULL COMMENT '分组名称', `class_code` varchar(50) DEFAULT NULL COMMENT '设备类型', `condition` varchar(500) DEFAULT NULL COMMENT '分组条件', `parent_id` varchar(64) DEFAULT '0' COMMENT '父节点id', `ts` timestamp NULL DEFAULT NULL COMMENT '乐观锁', `creator` varchar(64) DEFAULT NULL COMMENT '创建人', `creation_time` timestamp NULL DEFAULT NULL COMMENT '创建时间', `modifier` varchar(64) DEFAULT NULL COMMENT '修改人', `modified_time` timestamp NULL DEFAULT NULL COMMENT '修改时间', `valid` int(11) DEFAULT '1' COMMENT '删除标志', PRIMARY KEY (`id`) ) ENGINE = InnoDB DEFAULT CHARSET = utf8mb4 COMMENT ='报警对象分组';